<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SemanticSearchImplementation: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SemanticSearchImplementation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespace_semantic_search_implementation.html">SemanticSearchImplementation</a></li><li class="navelem"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html">RdfClient</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">SemanticSearchImplementation.RdfClient Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html">SemanticSearchImplementation.RdfClient</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#abe5b0dc7e49afcaa43be878f1c0e8789">_connector</a></td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html">SemanticSearchImplementation.RdfClient</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a5d9dbc2c8daa86da7dd88cc164ff4181">_dataTypeParser</a></td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html">SemanticSearchImplementation.RdfClient</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a3ca442552615fb7dafe445873e33820b">_language</a></td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html">SemanticSearchImplementation.RdfClient</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#ac5b265b0ca493b3cfa893066b625b57e">_queryString</a></td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html">SemanticSearchImplementation.RdfClient</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a2ae48841664ee87f9b6b81298bc2381a">ApplicationProfileType</a> enum name</td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html">SemanticSearchImplementation.RdfClient</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a8d3defa7b15d35ff8188de0e24d4e990">ConstructAdditionalRules</a>(string graphName)</td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html">SemanticSearchImplementation.RdfClient</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a74621d06a8eb3a90572710d6b6849349">ConstructLiteralRules</a>(string graphName)</td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html">SemanticSearchImplementation.RdfClient</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#ad694bbe97a60dc38cec52311ab400950">CreateFields</a>(IEnumerable&lt; Triple &gt; triples, SpecificApplicationProfile profile, ElasticsearchIndexMapper indexMapper)</td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html">SemanticSearchImplementation.RdfClient</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a0667466b05b61830e8808ce3ff45ea08">CreateFieldsFromAdditionalRule</a>(string graphName, SpecificApplicationProfile profile, ElasticsearchIndexMapper indexMapper, bool changeOtherDocs=false)</td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html">SemanticSearchImplementation.RdfClient</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a229577669657b068d1340cf411431a2a">GetAllMetadataIds</a>()</td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html">SemanticSearchImplementation.RdfClient</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a10fc1f74ce46481187022f780823f01b">GetApplicationProfileOfMetadata</a>(string graphName)</td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html">SemanticSearchImplementation.RdfClient</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a0fcedec7e459d3c204e1c4d559f6706a">GetApplicationProfilesNamesOfProperty</a>(string property)</td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html">SemanticSearchImplementation.RdfClient</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a1b3377aa66f25bc348f4b31f775b34b7">GetCurrentIndexVersion</a>()</td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html">SemanticSearchImplementation.RdfClient</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a5ee10ad6542a8104374c41984700e600">GetDataType</a>(string type)</td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html">SemanticSearchImplementation.RdfClient</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a6b87aa54d1f864f9950250f4a74016ed">GetDirectClasses</a>(string instance)</td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html">SemanticSearchImplementation.RdfClient</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#aaae0d58607a397366b95ea7df96c46f2">GetLanguage</a>()</td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html">SemanticSearchImplementation.RdfClient</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#acd878efe4cd42cca5d36ef23a3f721be">GetParentClasses</a>(IEnumerable&lt; string &gt; classes)</td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html">SemanticSearchImplementation.RdfClient</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a8c5e47823241f1bcf75be13a2ed62b3d">GetPrefixesOfGraph</a>(string graphName, string prefixName)</td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html">SemanticSearchImplementation.RdfClient</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#adbb7e39f2915406c4edb5cbacb022dce">GetProjectsOfUser</a>(string user)</td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html">SemanticSearchImplementation.RdfClient</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#aaa5ba8d2534423dfbb370aa2d4400722">GetProperties</a>()</td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html">SemanticSearchImplementation.RdfClient</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a469c28c5a40982b1b34e96d439343a78">GetRdfsLabel</a>(string uri)</td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html">SemanticSearchImplementation.RdfClient</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a0207920bfa013e9d7d59cb08107c128a">GetTriplesFromGraph</a>(string graphName)</td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html">SemanticSearchImplementation.RdfClient</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a708959ad91511d00229939edf8849adc">GetTypeOfProperty</a>(string property)</td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html">SemanticSearchImplementation.RdfClient</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a0c65fc8a2ffd3878d44adaeee55df8a6">GuessLabel</a>(string element)</td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html">SemanticSearchImplementation.RdfClient</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a501fad6b6b81cf8059921645c100c7ca">LABEL_ADDITIONAL_RULE</a></td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html">SemanticSearchImplementation.RdfClient</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#aa8ed1e90bede1ec396f74186539a3a3c">LABEL_LITERAL_RULE</a></td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html">SemanticSearchImplementation.RdfClient</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a325fdfbd041bf2b43ce396e9a1da64b5">MarkGraphAsDeleted</a>(string graphName)</td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html">SemanticSearchImplementation.RdfClient</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a15af740a85a4fca8321168ade215aade">PLACEHOLDER</a></td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html">SemanticSearchImplementation.RdfClient</a></td><td class="entry"><span class="mlabel">private</span><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#afb90fafb3b06994090599a064bb40c17">QUERY_LIMIT</a></td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html">SemanticSearchImplementation.RdfClient</a></td><td class="entry"><span class="mlabel">private</span><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a425c1a2d8643747f852c1cce9ee0d88e">RdfClient</a>(IRdfConnector client, string language)</td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html">SemanticSearchImplementation.RdfClient</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a6483721fe8fb067835647b236e7e11a5">SetCurrentIndexVersion</a>(int newVersion)</td><td class="entry"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html">SemanticSearchImplementation.RdfClient</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>
</body>
</html>
